Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1496608 - ProtectHome=yes breaks /home
Summary: ProtectHome=yes breaks /home
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: systemd
Version: 7.4
Hardware: All
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: systemd-maint
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-27 23:12 UTC by Jack
Modified: 2021-01-15 07:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-15 07:42:48 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jack 2017-09-27 23:12:16 UTC
Description of problem:
Having ProtectHome=yes in any service file causes a symlinked or autofs mounted /home directory to return ELOOP
ls: cannot open directory /home: Too many levels of symbolic links

Version-Release number of selected component (if applicable):
Red Hat 7.0+

How reproducible:
1. Start a service with ProtectHome=yes
2. Start autofs with /home automounted
3. Access to /home returns ELOOP
ls: cannot open directory /home: Too many levels of symbolic links

Additional info:
This Fedora bug report describes the issue.
https://bugzilla.redhat.com/show_bug.cgi?id=1444223

Comment 2 Jack 2017-09-28 20:45:12 UTC
This happens when using the kernel-lt series 4.4.x and 4.9.x

Comment 5 RHEL Program Management 2021-01-15 07:42:48 UTC
After evaluating this issue, there are no plans to address it further or fix it in an upcoming release.  Therefore, it is being closed.  If plans change such that this issue will be fixed in an upcoming release, then the bug can be reopened.


Note You need to log in before you can comment on or make changes to this bug.